When I place parts in my assembly they are stuck in the position I place it and can only be moved once I mate it to another part of my assembly. I have only recently encountered this problem, as usually when I place a parts in an assembly I am able to simply click on the component and drag/move that part around to put it in a place that suits before I use any constraints.
What is the problem, have I clicked on some function unknown to myself which has disabled the ability to move parts/assemblies when I place them into an assembly?
So I have this assembly with all parts constrained properly yet it won't let the parts move the way they should under the constraints applied and it's telling me I have interfering constraints.
I checked the "broken" constraints over but they look fine. It's a relatively small assembly (10-15 parts), although the parts have been used in a previous assembly. Would this affect their behavior?
I'm looking for the best way to create a separate assembly out of various component parts in an existing assembly so that the whole thing can be placed in an assembly as you would a part, I know it's possible to demote components within an assembly but are there any other methods similar / better ?
My assembly has grown (about 50 parts) to where I need to consolodate some parts into subassemblies for reuse and alternate iterations of the basic design.
When I import the original parts into a new assembly, all of the constrains I created are not there of course.
I've tried creating a new empty part and then deriving a new part from the assembly, but I can't add, delete or edit any parts.
I looked at using Shrinkwrap, Substitutes, iParts, Multi-body Parts, and Multiple Solids but I remain confused.
In retrospect, maybe I should have created the subassemblies between the part and assembly stage but I didn't.
I've been making a model plane model in inventor 2012 from imported IGES geometry, and Realised that my sketches were not assigned to any part (and thus can't be lofted). Is there any way of moving the sketches to the newly created part without redrawing everything? I've tried dragging and dropping because it seemed to make sense, but alas, that had no success.
I have numerous step files which I have imported into an assembly. I now need to move all the imported files to a predefined UCS (not 0,0,0). I can do this manually by using the assemble command and selecting the centre point then selecting the centre point of the pre-defined UCS.
I have potentially thousands of parts to move in various assemblies, is there a way to do this using iLogic and if so, how?
I have a script that is perfectly works in 2012 inventor pro version. It moves newly added virtual parts into the VIRTUAL_PARTS folder. Part of script is below:
Dim oFolder As BrowserFolder Dim oTopNode As BrowserNode oTopNode = oPane.TopNode() Dim oTopNodeOcc As BrowserFoldersEnumerator oTopNodeOcc = oTopNode.BrowserFolders For Each oFolder In oTopNode.BrowserFolders i = i + 1 Next If i = 0 Then oFolder = oPane.AddBrowserFolder("VIRTUAL_PARTS", oOccurrenceNodes) Else For Each oFolder In oTopNode.BrowserFolders If oFolder.Name = "VIRTUAL_PARTS" Then For Each oOcc In oAsmCompDef.Occurrences If TypeOf oOcc.Definition Is VirtualComponentDefinition Then oNode = oPane.GetBrowserNodeFromObject(oOcc) End If 'MsgBox(oTopNodeOcc(1).Name) oTopNodeOcc(1).Add(oNode) Next Else ' do nothing End If Next End If
In 2014 pro it works only once, when I add first virtual part. It creates a folder and moves it there. When I add 2nd virtual part it gives me a error
I can't move the assembly I'm building around without the parts moving out of place from where there constrained too. I manly use mate and flush constrains. I have to build a layout of a room later on with these assemblies in it and they must be able to be positioned where they need to be. How do you keep your constrain parts from moving out of place?
I have a bunch of parts that are almost identical except for a few minor changes each time. Most have already been created in Inventor. My problem is that I want to rotate the part so that a face that was once along the XZ plane will now be in the XY plane. Is there anyway to rotate it like this? I would like to do this so that when I bring it into Mastercam, I don't have to rotate it each time.
I am designing a component whose internal mechanism is housed in a plastic shell. I want to use the boss feature in the shell so I can hold together the components internally, but the boss feature is only available in the part workspace, but in order for me to know where the internal components are so I can design my shell accurately, I have to be in the assembly workspace.
Now, if I opened the shell as a part alone, and imported (through the Derive command) the parts that need to be fit into the shell, they will appear at random positions, and because you cannot create constraints in the Part Workspace, I have no effective way of holding them where they should go.
I have a question about getting CoG of my assembly. The only problem is that i only need 2 parts (the rest are just dummy solids with 'default material'.
When i control select two parts, right click and go 'iproperties' - the physical tab doesn't let me determine CoG of the two parts combined.
I have 4 columns in BOM that I call out in Parts Lists on my drawings.
I need to be able to organize parts in my assembly somehow and to be able to display if needed (on Parts List) only parts belonging to one category (level?).
I could do it by creating another custom iproperty in a part template and each part would belong to a particular group. Then I could sort them in BOM in .iam environment and have particular category visible on Parts List with the other categories with visibility turned off.
I'm working on a small Assy (25 parts). When I open one of the parts from this Assy and work on it then go back to the Assy many parts are not visible. The update button is usually off so I can't use it.
This started only about 2-3 weeks ago - in every assy. I changed the nvidia driver but didn't work.
Inventor pro 2012 Win 7 Pro. sp1 64 bit Intel Core I7-2600 CPU Ram - 8GB Quadro 2000 D Nvidia 275.89 (tested nvidia 296.70 with no luck)
I have a rather complex assembly that I didn't draft but I am trying to work with. Most of my experience is with Solidworks. I'm trying to create a hole in a plate that lines up with a hole in a different part in the same assembly. I know there is probably a way to create the hole in the assembly and reference the other part but I dont know how.
I've created an assembly from the solid bodies of a part. Is there a way to add more parts to that assembly from other solid bodies of the original part? If so what is the procedure?
I have a machine with some internal parts.To see the inside parts i need to make the outside parts Glass.Can i make the outside parts Glass while in the assembly or do i need to open each part up from there folder and make the material Glass.This would be slow if i need to open up each part to make the material Glass and when finished would again have to open the part up and set back to original material.Can all this be done while in Assembly mode?
When creating a new part in an assembly and I select a face of an existing component, how does Inventor determine the orientation and origin of that new part? I understand how Inventor works when I select the plane/origin of a part or pick out in space in the assembly.But the placement based on the face of an existing component seems random..
I normally do not like creating parts inside of an assembly but I was trying some new workflows.
I have firgured out how to create a part within the assembly.I have also figured out how to add a feature in an assembly, but that feature does not attach to a
component when I need it to.What I haven't figured out is how to edit an existing part within an assembly to add a feature that references another part. Basically having an external reference (SW term).Also, is there a way to see the features of a part within the assembly?
On a different station, a component was checked oud, altered (100mm became 110mm), the corresponding dwg was also checked out and updated, and then everything was checked in.
Now i have an assembly that contains the part that was modified, but i still have the old version of it stored locally, as well as the assembly containing the part. Now when i open the assembly, i get the message stating some components had changed and that the assembly should be updated. After selecting YES to update the assembly, i get it on screen, but the part itself had not been updated. The vault tree now does show that i don't have the latest version though (red filled circle). In order to get the part to appear correctly, i need to manually select "refresh from vault" to get the correct version.
After selecting the YES i want to update the assembly I expect the parts to be updated properly without requiring additional manual actions. This has already resulted in out-of-date drawings to hit the production floor. Obviously, THIS SHOULD NOT HAPPEN!
I know one way to overcome this issue would be to delete the local source files after having used them, but i have lost plenty of work by allowing that setting to be enabled. (IV crash during check-in resulted in deletion or corruption of the files and they were not properly checked in.)
Should i log this issue or is there a solution available i failed to find?
in my assembly part visibility is controlled by a Ilogic rule which selects an Iassembly. This assembly is a parametric model controlled by excel. The visible parts have to be exported to dxf.
Everything is working (iterating through parts, export sheet metal to dxf), but how can I check whether a part is visible within the assembly?
It is possible to create parts that can update there size from changing the "root" (possibly called the derived-from part??) dimensions. I have a tubular frame structure and there is sheet metal components that enclose this structure.
We make these units in 2 standard sizes, but in the last few months, we have been getting requests from clients for extra components to be installed or sometimes components to be removed. This changes the size of the unit. Also depending on which mine they go to, some need to be shorter or longer and wider or narrower.
I have created a frame that I can change easily to to required dimensions, but it would be a dream if all the sheet metal components updated to the frame size. Most times these doors and sheet metal components stay in the same location, so if everything updated with a simple change to the frame size, that would make my job easier, and leave me more time to create new products.
I can't upload any files due to size, but I have attached a few screen shot to clarify things. Basically it is a frame unit, with doors and access panels to electrical components inside.
I've just started using Inventor and am getting the hang of things, but one thing that really annoys me is these lines that are all over the parts I use in assembly. Screenshot attached.
I have a three part question. First, I have an iLogic routine in an assembly that opens all the parts within the assembly, runs a particular rule, and then closes that part. Is there anyway I can get this to run in the background. I don't want my users to see all of my part files opening and closing.
Here is my
'assign path values in iproperties to be equaliProperties.Value("RD FLANGE:1","Custom", "FilePATH") = iProperties.Value("Custom", "FilePATH")Dim FilePATH As String = "FilePATH"customPropertySet = ThisDoc.Document.PropertySets.Item _("Inventor User Defined Properties")Try prop= customPropertySet.Item(FilePATH)Catch customPropertySet.Add("", FilePATH)End TryIf [code].....
My second question is how do I add a routine that as the part files are opened checks to see if "MyRule" is there. If "MyRule" is not there add "MyRule" else if "MyRule" exist move on to the next part.
My third and final question is there anyway for my code to distinguish between standard parts and sheet metal parts. Basically, if the opened part is not a sheet metal part then I do not want "MyRule" to be inserted and I do not want "MyRule" to be run. I want it to move on to the next part within the assembly.
Im running inventor 2013 and I want to hide a part in one view of an assembly, and for some reason when I go into the browser and try to deselect the visibily it is greyed out. I don't know why it happened.